UIMA
  1. UIMA
  2. UIMA-1960

enable uima-as to check for proper version of base UIMA

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.3.1SDK, 2.3.1AS
    • Component/s: Async Scaleout
    • Labels:
      None

      Description

      UIMA-AS checks the version of the base UIMA and complains if these are not equal.

      Change this so UIMA-AS has injected from the pom at build/release time the base uimaj version it is being built upon, to allow these to be different.

      This may be needed, for instance, if base uimaj is released at version 2.3.1, and uima-as is not yet released and is at 2.3.1-SNAPSHOT.

        Activity

        Hide
        Marshall Schor added a comment -

        While looking into this, I noticed the code in base uimaj to get the version string is leaving off the last part of the string, e.g., it would return 2.3.1 when the actual version was 2.3.1-SNAPSHOT. I'm adding a static method to UimaVersion to return the full version string - needed to compare against the version of base uimaj that UIMA-AS is built to depend on.

        Show
        Marshall Schor added a comment - While looking into this, I noticed the code in base uimaj to get the version string is leaving off the last part of the string, e.g., it would return 2.3.1 when the actual version was 2.3.1-SNAPSHOT. I'm adding a static method to UimaVersion to return the full version string - needed to compare against the version of base uimaj that UIMA-AS is built to depend on.

          People

          • Assignee:
            Marshall Schor
            Reporter:
            Marshall Schor
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development